mediastreamer2 2.9.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Typedefs | Functions
Video streaming API - Create and run video streams.
Mediastreamer2's high level APIs

Video streaming API - Easily run video streams from camera capture or static picture files to RTP. More...

## Typedefs
typedef VideoStream | VideoPreview

## Functions
int | video_stream_get_camera_sensor_rotation (VideoStream *stream)
| Gets the camera sensor rotation.

## Detailed Description

Video streaming API - Easily run video streams from camera capture or static picture files to RTP.

## Typedef Documentation

typedef VideoStream VideoPreview

Small API to display a local preview window.

## Function Documentation

int video_stream_get_camera_sensor_rotation | ( | VideoStream * | stream | ) |

Gets the camera sensor rotation.

This is needed on some mobile platforms to get the number of degrees the camera sensor is rotated relative to the screen.

Parameters:

  stream | The video stream related to the operation

Returns:
  The camera sensor rotation in degrees (0 to 360) or -1 if it could not be retrieved